
<!DOCTYPE html>
<html lang="en-US" >
<head style="display: none;">
	<meta name="viewport" id="viewport" content="width=device-width,height=device-height,initial-scale=1.0,maximum-scale=1.0,minimal-ui"/>
	<meta name="dcterms.rights" content="© Copyright IBM Corp. 2017">
	<script type="text/javascript">document.write("<base href='" + document.location.protocol + "//" + document.location.host + "/support/knowledgecenter/' />");</script>
	<!--[if IE]>
		<script>
			(function() {
				var emptyFn = function () {};
				var methods = ['assert','clear','count','debug','dir','dirxml','error','exception','group','groupCollapsed','groupEnd','info','log','markTimeline','profile','profileEnd','table','time','timeEnd','timeStamp','trace','warn'];
				var l = methods.length;
				var console = window.console = window.console || {};
				var method;
				while (l--) {
					method = methods[l];
					console[method] = console[method] || emptyFn;
				}
			}());
		</script>
	<![endif]-->
	
	<!-- Global variables -->
	<script id="kcGlobals">
		var kcGlobals = {
			'activeNavigationTabSelector': '.js-content__button',
			'buildInfoEnabled': false,
			'buildDateTime': "20200310_0553",
			'locale': "en",
			'country': "US",
			'idaEnabled': true,
			'pdfEnabled': true,
			'gitEditEnabled': false,
			'hopscotchEnabled': true,
			'feedbackEmailEnabled': false,
			'interactEnabled': true,
			'interactServer': '',			
			'deflectUrlEnabled': true,
			'tocOpenEnabled': true,
			'disqusEnabled': true,
			'kcSession': undefined,
			'hasRouting': true,
			'tealeafInject': true,
			'translation': {
				'common.home': 'Home',
				'common.products': 'Products',
				'common.selectProduct': 'Change product',
				'common.help':'Help',
				'common.alert':'Alert',
				'search.pagination.previous':'Previous',
				'search.pagination.next':'Next',
				'content.breadcrumb':'Breadcrumb',
				'content.select':'Select',
				'content.version':'Version',
				'content.print':'Print',
				'content.gitTooltip':'Edit in GitHub',
				'content.showMore':'Show more',
				'content.printTooltip':'Print this topic',
				'content.pdfButton':'PDF',
				'content.pdfDownloadPage':'Save topic to PDF',
				'content.pdfDownloadSection':'Save section to PDF',
				'content.pdfSuccessMessage':'[Beta] Your PDF request was successfully submitted. We will notify you when it will be ready for download.',
				'content.pdfClose':'Close, ',
				'content.playpausegif':'Play or pause animated image $IMGNAME$',				
				'content.pdfErrorMessage':'[Beta] We were unable to process your PDF request.',
				'content.pdfSuccessMessageRequestDownload':'[Beta] Your PDF request, ',
				'content.pdfSuccessMessageDownload':', is ready for download.',
				'content.openNewTab':'Open in a new tab',
				'footer.contactUsMailtoSubject':'Feedback to IBM Knowledge Center',
				'content.moreTopics':'Related topics:',
				'content.doYouWantTo':'Do you want to...',
				'content.toc.open':'Open Table of Contents',
				'content.toc.pin':'Pin Table of Contents',
				'content.toc.close':'Close Table of Contents',
				'content.changeVersion':'Change version',
				'content.changeVersionOrProduct':'Change version or product',
				'content.selectDiffProduct':'Select a different product',
				'content.openTicket':'Open a ticket and download fixes at the IBM Support Portal',
				'content.findTutorial':'Find a technical tutorial in IBM Developer',
				'content.networkWithUsers':'Network with users and IBM experts in <strong> our user community </strong>',				
				'content.networkWithUsersLabel':'Network with users and IBM experts in community',								
				'content.findBestPractice':'Find a best practice for integrating technologies in IBM Redbooks',				
				'content.skillsGateway':'Explore, learn and succeed with training on the IBM Skills Gateway',
				'content.searchPlaceholder.allProducts':'Search in all products...',
				'content.searchPlaceholder':'Search in this product...',
				'content.searchInAllProducts':'Search in all products',
				'content.searchInAllProducts.status.checked':'Checked. To toggle press enter.',
				'content.searchInAllProducts.status.unchecked':'Unchecked. To toggle press enter.',
				'content.eosNewVersion':'We found the page you requested in a newer version of ',
				'search.allProducts':'All of IBM Knowledge Center',
				'advancedSearch.title':'Select a scope to refine search',
				'advancedSearch.apply':'Apply',
				'advancedSearch.cancel':'Cancel',
				'common.close':'Close',
				'advancedSearch.allOfProduct':'All of',
				'advancedSearch.scope':'Scope',
				'advancedSearch.scopeToBookBookshelf':'Scope to current bookshelf/book',
				'notification.close':'Close notification',
				'otherversion.selectDifferentProduct':'Select a different product ',
				'versionsNotification.message': 'We didn\'t find a matching topic in the product version you requested. Would you like to go to the _VERSIONNAME_ home page?',
				'versionsNotification.confirm': 'Yes',
				'versionsNotification.cancel': 'Cancel',
				'feedback.header':'Tell us about this content',
				'feedback.kc.title':'Tell us about your IBM Knowledge Center experience',
				'feedback.kc.contact':'Email IBM Knowledge Center support',
				'feedback.thankyou.title':'Thank you for your feedback!',
				'feedback.thankyou.text':'Together, we can continue to improve IBM Knowledge Center.',
				'feedback.thankyou.button':'Return to topic',
				'feedback.title':'Rate this content',
				'feedback.content':'Was this content helpful?',
				'feedback.message.placeholder':'Comment',
				'feedback.message.yesHeader':'Great! Let us know what you found helpful.',
				'feedback.message.noHeader':'What can we do to improve the content?',
				'feedback.email.placeholder':'Email address',
				'feedback.email.header':'May we contact you about your feedback?',
				'common.cancel':'Cancel',
				'common.submit':'Submit',
				'common.yes':'Yes',
				'common.no':'No',
				'common.thankYou':'Thank you!',
				'arm.message':'Other content types and support information, such as training, blogs, and APARs, are not available',
				'arm.tooltip':'Other content types and information available for this topic',
				'hopscotch.nextBtn':'Next',
				'hopscotch.prevBtn':'Back',
				'hopscotch.doneBtn':'Done',
				'hopscotch.closeBtn':'Close',
				'hopscotch.content.single.toc.title':'Show the Table of Contents',
				'hopscotch.content.single.toc.content':'Click to view the Table of Contents. Click again to keep, or "pin" the Table of Contents open.',
				'hopscotch.content.step1.title':'Welcome!',
				'hopscotch.content.step1.content':'Take this tour to explore IBM Knowledge Center\'s topic pages. <br> This title links to the home page.',
				'hopscotch.content.step2.title':'Search <i>only</i> in this product ',
				'hopscotch.content.step2.content':'Searching from a product topic page returns results specific to that product or version, by default. <br><br> Type-ahead provides scoped keyword suggestions. <br><br> <a class="ibm-forward-link ibm-icon-after ibm-textcolor-white-core" href="https://www.ibm.com/support/knowledgecenter/help#searching" target="_blank">Search with special operators</a>',
				'hopscotch.content.step3.title':'Show or hide Table of Contents',
				'hopscotch.content.step3.content':'Click to view the Table of Contents. Click again to keep, or "pin" the Table of Contents open. A "pinned" Table of Contents will stay that way until you close it. <br><br> When browser resolution is less than 1200 pixels wide, and the Table of Contents is pinned, the Related Topics column isn\'t shown.',
				'hopscotch.content.step4.title':'Change version or product',
				'hopscotch.content.step4.content':'Click on a version in the dropdown to find the same page in that version of the product if available, or select a different product. Version names in <i>italics</i> means that IBM KC did not find an exactly matching topic in that version. Selecting the italic name will take you to the version\'s welcome page.',
				'hopscotch.content.step5.title':'Previous and next topic',
				'hopscotch.content.step5.content':'Move backwards or forwards from the current topic position in the documentation. ',
				'hopscotch.content.step6.title':'Print and PDF',
				'hopscotch.content.step6.content':'Print will print just the topic content. <br><br> The PDF menu lets you create a PDF of the current page, or of the current "section" of the documentation up to 1000 topics.',
				'hopscotch.content.step7.title':'Find more help or contact us',
				'hopscotch.content.step7.content':'More detailed help is available from the <a class="ibm-forward-link ibm-icon-after ibm-textcolor-white-core" href="https://www.ibm.com/support/knowledgecenter/help" target="_blank">"Help" page</a><br><br> If you need support on IBM Knowledge Center, or you want to contact us, send us an email at <a class="ibm-forward-link ibm-icon-after ibm-textcolor-white-core" href="mailto:ibmkc@us.ibm.com">ibmkc@us.ibm.com</a>',
				'hopscotch.content.step8.title':'Help us improve!',
				'hopscotch.content.step8.content':'Tell us how helpful the content of the page is, or get help if IBM Knowledge Center isn\'t working right for you. Click "Rate this content" to rate the page content and leave comments. To report an issue with IBM Knowledge Center itself, send email to our 24 * 7 support.',
				'hopscotch.content.step9.title':'Discover more IBM technical content',
				'hopscotch.content.step9.content':'Find a Redbook, check out IBM Developer for technical insight, improve your skills, or go to IBM Support.',
				'hopscotch.content.step10.title':'Start or join a discussion',
				'hopscotch.content.step10.content':'Discussions start here! Sign in to start or join a conversation or to ask a question. ',
				'hopscotch.arm.step1':'IBM KC Alerts notifies you when Support content is available that is relevant to the topic that you are viewing. A filled alert icon means relevant content that supports the current topic is available.',
				'hopscotch.arm.step2':'Click on the alert to see relevant links that include support tech notes, APAR defect info, and videos that you can use to continue your content journey and get the info that you need.<br><br><input id="arm-dont-show-checkbox" type="checkbox"><label for="arm-dont-show-checkbox">Do not show me this again</label>',
				'notification.contentNotAvailable':'On December 6, 2018, IBM and HCL Technologies announced <a href="https://newsroom.ibm.com/2018-12-06-HCL-Technologies-to-Acquire-Select-IBM-Software-Products-for-1-8B" target=_blank> a definitive agreement</a> under which HCL will acquire select IBM collaboration, commerce, digital experience and security software products. The transaction closed on June 30, 2019. The full list of products and part numbers included in this transaction can be found <a href="https://www.ibm.com/downloads/cas/AL1OBXBJ" target=_blank>here</a>.  </br></br>This <b>$PRODUCT$ documentation</b> is current as of the closing date set forth above but will not be updated further.  It will be retained here for a limited time for the convenience of our customers but may be removed in whole in part at any time. The systems requirements links off this site are no longer active on IBM.com. Systems requirements for the HCL owned products listed above will be available on <a href="https://www.hcltech.com" target=_blank>www.hcltech.com</a>.</br></br>If you have any questions, please visit <a href="https://www.hcltech.com" target=_blank>www.hcltech.com</a> or you may send an email to: <a id="js-divested-mailto" href="mailto:toHCL@us.ibm.com">HCL@us.ibm.com</a>.',				
				'notification.contentNotAvailableAcoustic':'Centerbridge Partners acquires IBM\'s marketing platform and commerce software offerings to form a standalone next generation marketing and advertising technology company. Learn more <a target="_blank" href="https://acoustic.co/">https://acoustic.co</a>',								
			},
			'idaData': {
				'ibmEV': 'content',
				'ibmEvModule': 'content navigation',
				'ibmEvLinkTitle': document.querySelector("head meta[name='DC.Title']") ? document.querySelector("head meta[name='DC.Title']").getAttribute("content") : '',
				'ibmEvSection': document.querySelector("head meta[name='Description']") ? document.querySelector("head meta[name='Description']").getAttribute("content") : '',
			},
			'disqus': {
				'application': 'ibm-knowledge-center',
				'api.public.key': '7O1kG8Dkbdlevjvhp8lq2uZZ778TOBpJvqotU5hXXcBpllwTQF4tkZXurkjq6ndw',
				'authorize.url': 'https://disqus.com/api/oauth/2.0/authorize/',
				'access.token.url': 'https://disqus.com/api/oauth/2.0/access_token/',
				'access.token': 'f45bbf0463694a50a9b309d7492061f0',
				'domains': 'ibm.com',
				'website': 'https://www.ibm.com/support/knowledgecenter'
			},
			'notification': {
				'isEnabled': false,
				'message': ['']
			},
		};
	</script>
	
	<!--Hotjar tracking --><!--END Hotjar tracking --><!--Digital Data -->

	<script type="text/javascript">
		window.digitalData = {
			page: {
				category: {
					primaryCategory: 'ELSKCS'				//formerly IBM.WTMCategory meta tag
				},
				pageInfo: {
					effectiveDate: '2014-10-24',		//formerly IBM.Effective meta tag
					expiryDate: '2019-12-18',			//formerly IBM.Expires meta tag
					language: 'en',	//formerly DC.Language meta tag
					publishDate: '2014-10-24',			//formerly DC.Date meta tag, same as dcterms.date
					publisher: 'IBM Corporation',		//formerly DC.Publisher meta tag
					version: 'v18',						//version part of Source meta tag (e.g. v17)
					ibm: {
						contentDelivery: '',	//"delivery" portion of Source meta tag
						contentProducer: '',	//"authoring" portion of the Source meta tag
						country: 'US',					//formerly IBM.Country meta tag, same as geo.country
						ibmDynamicCm: true,				//formerly the meta tag to enable dynamic contact module.
						industry: 'ZZ',					//formerly IBM.Industry meta tag
						owner: 'IBM Knowledge Center/Pittsburgh/IBM',	//formerly Owner meta tag
						siteID: 'ESTKCS',				//formerly IBM.WTMSite meta tag
						subject: 'SU400',				//formerly DC.Subject meta tag
						type: 'CT701',					//formerly DC.Type meta tag
						config: {
							masthead: {
								type: "alternate",
								search: {
									enabled: true
								},
								profileAlways: {
									enabled: true
								},
							},
							footer: {
								enabled: false,
							},
							feedbacklink: {
								enabled: false
							},
							feedbacklink: {
  								enabled: false
  							},
							localeselector: {
								enabled: false
							},
							sbs: {
								enabled: false
							},
							backtotop: {
								enabled: true,
								container: ".kc-main"
							},
							errorchecking: {
								enabled: false
							},
							survey: {
								global_percent: parseInt('5'),
								enabled: true,
								intercept: {
									enabled: true,
									percent: parseInt('5'),
									presentDelay: parseInt('90'),
									start: 'January 20 2019',
									stop: 'March 31 2019',
									invitation: {
										title: "Tell IBM what you think",
										content: "Would you take one minute to complete this survey?",
										yes_label: "Yes",
										no_label: "No Thanks"
									},
									survey: {
										type: 'medallia',
										id: 'web-supp-comm',
										width: 960,
										height: 800,
										metaData: 'type=2&pgroup=eknowcent&pparent=eknowcent&pmain=eSupport'
									}
								}
							}
						}
					}
				}
			}
		}
	</script>

	<script type="text/javascript">
		window.digitalData.page.pageInfo.ibm.config.masthead.search.enabled = true;
	</script>
	<!--END Digital Data -->
<script	src="//1.www.s81c.com/common/v18/r142/js/www.js?v=20200310_0553"></script>
<script	src="//1.www.s81c.com/common/v18/r142/js/forms.js?v=20200310_0553"></script>


	<link rel="stylesheet" href="//1.www.s81c.com/common/v18/r142/css/www.css">
	<link rel="stylesheet" href="//1.www.s81c.com/common/v18/r142/css/forms.css">
	<link rel="stylesheet" href="/support/knowledgecenter/css/kc.css?v=20200310_0553">
	<link rel="stylesheet" href="//1.www.s81c.com/common/v18/r142/css/grid-fluid.css">

	<!--Hopscotch --><!--“The Program includes some or all of the following that IBM obtained under the Apache License Version 2.0: Hopscotch”-->
	<link rel="stylesheet" href="/support/knowledgecenter/js/resources/external/hopscotch/hopscotch.css">
	<!--END Hopscotch --><!--IDA --><!-- IDA -->
		<script>
			window.bindPageViewWithAnalytics = window.bindPageViewWithAnalytics || function(){};
			window.digitalData = window.digitalData || {};
			window.digitalData.page = window.digitalData.page || {};
			window.digitalData.page.pageInfo = window.digitalData.page.pageInfo || {};
			window.digitalData.page.pageInfo.ibm = window.digitalData.page.pageInfo.ibm || {};
			var contextPath = window.location.href.replace(/http:\/\/|https:\/\//gi,'') || '';

			if((typeof ibmStats !== 'undefined') && ibmStats){
				var data ={
					"ibmEV": kcGlobals.idaData.ibmEV || '',
					"ibmEvModule": kcGlobals.idaData.ibmEvModule || '',
					"ibmEvAction": contextPath || '',
					"ibmEvTarget":  contextPath || '',
					"ibmEvLinkTitle": kcGlobals.idaData.ibmEvLinkTitle || '',
					"ibmEvCountry": document.querySelector("html").getAttribute("lang") || "en-US",
					"ibmEvSection": kcGlobals.idaData.ibmEvSection || '',
					"ibmEvGroup": 'IBM Knowledge Center'
				};
				ibmStats.event(data);
			}
			window.digitalData.page.pageInfo.pageID = contextPath;
			window.digitalData.page.pageInfo.language = document.querySelector("html").getAttribute("lang") || "en-US";
			window.digitalData.page.pageInfo.ibm.country = window.digitalData.page.pageInfo.language.split("-")[1] || 'US';
			if(!kcGlobals.hasRouting) bindPageViewWithAnalytics();
		</script>
		<script src="//1.www.s81c.com/common/stats/ida_stats.js"></script>
		<!-- end of IDA --><!--END IDA --><!-- MARKETING  -->
	<script src="https://www.ibm.com/marketplace/static/components/recommend-split.min.js"></script>
	<link rel="stylesheet" href="https://www.ibm.com/marketplace/static/components/recommend.css" media="all">
	<script type="text/javascript">
		if(kcGlobals.interactEnabled) {
			var configName = ("kc-products-leadspace");    
			var options = { interactDeploymentEnv: kcGlobals.interactServer ? kcGlobals.interactServer : ''};
			digitalData.page.pageInfo.interact.config.loadConfigFileForPage(configName, digitalData.page.pageInfo.interact.recommend.objects.initialize, options)
		}
	  </script>
	<!-- END  MARKETING -->  
	<title>IBM Knowledge Center</title>
</head>

<body id="ibm-com" class="ibm-type kc-user-unsigned ibm-sitenav-menu " data-widgets="disabled">
	
	<div id="ibm-top" class="ibm-landing-page js-frame kc-frame kc-content-page">
		<!--HEADERs-->
<div id="ibm-masthead" role="banner" aria-label="IBM">
  <div id="ibm-mast-options">
    <ul role="toolbar" aria-labelledby="ibm-masthead">
      <li id="ibm-geo" role="presentation">
        <a href="//www.ibm.com/planetwide/select/selector.html">United States</a></li>
    </ul>
  </div>
  <div id="ibm-universal-nav">
    <div id="ibm-home"><a href="//www.ibm.com/us-en/">IBM®</a></div>
    <div class="ibm-parent-site-name js-home__button"><a href="/support/knowledgecenter" tabindex="0">IBM Knowledge Center</a></div>
    <ul id="ibm-menu-links" role="toolbar" aria-label="Site map">
      <li><a href="//www.ibm.com/sitemap/us/en/">Site map</a></li>
    </ul>
    <div id="ibm-search-module" role="search" aria-labelledby="ibm-masthead">
      <form id="ibm-search-form" action="//www.ibm.com/Search/" method="get">
        <p>
          <label for="q"><span class="ibm-access">Search</span></label>
          <input type="text" maxlength="350" value="" name="q" id="q" placeholder="Search in this product..."/>
          <span class="ibm-search-scope">
            <input class="ibm-styled-checkbox" type="checkbox" name="sn" value="search" checked id="scopeoption" />
            <label for="scopeoption">Search in IBM Knowledge Center</label>
          </span>
          <input type="submit" id="ibm-search" class="ibm-btn-search" value="Submit" />
        </p>
      </form>
      <form class="ibm-hide" id="kc-search-form" action="/search" method="get">
        <input type="text" name="terms">
      </form>
    </div>
  </div>
</div>
<!-- NAVIGATION BEGIN-->
<nav role="navigation" aria-label="IBM Knowledge Center">
  <div class="ibm-sitenav-menu-container">
  <div class="ibm-sitenav-menu-name"></div>
    <!-- OTHER VERSIONS -->
    <div class="ibm-sitenav-menu-list kc-left-navigation js-hide-on-mobile">
      <ul role="menubar" class="ibm-plex-sans-regular js-other-versions">
        <li role="presentation" class="js-products__button ibm-hide"><a href="" tabindex="-1" role="menuitem">Products</a></li>
        <li role="presentation" class="js-help__button ibm-ind-link ibm-hide"><a class="help-button-header" class="ibm-help-alt-link" href="" tabindex="-1" role="menuitem">Help</a></li>
      </ul>
    </div>
    <!-- END OF OTHER VERSIONS -->
  </div>
</nav>
<!-- NAVIGATION END -->
<noscript>
  <p style="line-height:2; padding: 50px;">IBM Knowledge Center uses JavaScript. Scripting appears to be disabled or not supported for your browser. Enable JavaScript use, and try again.</p>
</noscript><!--END OF HEADER--><!--MAIN-->
		<div class="js-kc-main kc-main" role="main">
			<div id="ibm-content-main">
				<div class="js-toolbar-container kc-toolbar"></div>
				<div id="ibm-content-wrapper" class="js-screen-container kc-screen">
					<div stateid="content" class="kc-content js-kc-content">
						<!-- CONTENT -->
						<div class="js-content-container">
							<div class="js-notification-container"></div>
							<div class="js-versions-notification-container"></div>
							<header class="ibm-alternate-background kc-content-header" role="banner" aria-label="Toolbar">
								<div class="ibm-fluid kc-row-important ibm-nospacing ibm-fullwidth">
									<div class="ibm-col-12-9">
										<!-- BREADCRUMBS --><div class="ibm-fleft js-breadcrumbs kc-breadcrumbs"></div><!-- END BREADCRUMBS -->
									</div>
									<div class="ibm-col-12-3">
										<div class="ibm-fright">
											<!-- CONTENT NAVIGATION -->
											<div class="js-navigation-controls kc-navigation-controls">
												<a class="ibm-small js-content-nav-previous kc-disabled" title="Previous" tabindex="-1">Previous</a>
												<a class="ibm-small js-content-nav-next kc-disabled" title="Next" tabindex="-1">Next</a>
											</div><!-- END OF CONTENT NAVIGATION -->
										</div>
									</div>
								</div>

								<div class="ibm-fluid kc-row-important kc-h3-row ibm-nospacing ibm-fullwidth">
									<div class="ibm-col-12-9 ibm-col-medium-12-12 ibm-nospacing">
										<h1 class="js-topic-title ibm-h2 ibm-padding-content" dir="auto"></h1>
									</div>
									<div class="ibm-col-12-3 kc-nav-header-wrapper">
										<div class="kc-context-nav-header ibm-col-12-12">
											<div class="js-adv-srch-trigger kc-adv-srch-trigger ibm-small"></div>
											<div class="js-search-all-scope"></div>
											<form class="kc-content-search">
												<label for="kc-search-in-product" tabindex="0" class="ibm-access">Search in this product...</label>
												<input id="kc-search-in-product" class="ibm-styled-input js-search__input kc-search__input" type="text" placeholder="Search in this product..." style="width:100%;" autocomplete="off"/>
												<button role="button" id="ibm-kc-search" class="ibm-search-link kc-search__button" value="Search"><span class="ibm-access">Search</span></button>
											</form>										
											<div data-kc-widget="typeahead" id="kc-suggestion" class="kc-search-typeahead js-search-typeahead" style="display: none;">
												<!--TYPEAHEAD-->
												<div class="kc-search-typeahead__element">
													<div class="kc-search-typeahead__dropdown">
														<ul class="kc-search-topicHints ibm-plain-list"></ul>
														<h2 class="kc-typeahead-heading kc-search-products"><span>Product Pages</span></h2>
														<ul class="kc-search-products ibm-plain-list"></ul>
														<h2 class="kc-typeahead-heading kc-search-history"><span>Previous Searches</span></h2>
														<ul class="kc-search-history ibm-plain-list"></ul>
													</div>
												</div>
												<!--END TYPEAHEAD-->
											</div>										
										</div>
										<div class="js-simplified-scope-picker kc-simplified-scope-picker ibm-small"></div>	
									</div>
								</div>
								<!--INTERACT BANNER-->
								<div id="interact" class="ibm-fullwidth ibm-fluid ibm-hide">																													
											<div class="ibm-blocklink kc-interact">
												<div class="ibm-col-12-9 interact-wrapper">
													<div class="interact-left ibm-col-12-4">
														<a href="" class="ctaURL">									
															<span class="preheadline">Free Trial</span>
														</a>
													</div>					
													<div class="kc-hd-wrapper">
														<div class="block-wrapper"><a href="ctaURL">
															<span class="headline"></span>
															<span class="description"></span>
															</a>
														</div>
														
													</div>
												</div>
												<div class="ibm-ind-link kc-marketinglink-row ibm-col-12-3">	
													<a href="" class="ctaURL ibm-forward-link ibm-icon-after">									
														<span class="ctaLabel"></span>
													</a>
												</div>			
											</div>										
								</div>
								<div class="ibm-fluid kc-row ibm-nospacing ibm-fullwidth ibm-alternate-background kc-horizontal-tool-bar">
									<div class="kc-menu-panel-left ibm-col-12-7">
										<div class="ibm-fleft kc-under-title-menu">
											<a href="javascript:void(0)" class="js-toc-open kc-toc-button ibm-toc-link ibm-fleft">Table of Contents</a>
											<span class="js-pick-container">
												<span class="js-product-other-versions"></span>											
												<span class="ibm-ind-link kc-select-product js-select-product">
													<a href="/support/knowledgecenter/en/products"
													class="ibm-bee-link" title="Change product" aria-label="Change product">Change product</a>
												</span>
											</span>
										</div>
									</div>
									
									<div class="kc-menu-panel-right ibm-col-12-5">
										<div class="kc-horizontal-toolbar">
											<span class="js-arm-alert-button ibm-ind-link"></span>
											<span class="js-tools-print-button ibm-ind-link"></span>
											<!-- PDF  -->
											<span class="ibm-ind-link"><a class="js-tools-pdf-button kc-pdf-dropdown ibm-document-link">
													</a></span>
											<!-- END OF PDF -->
											<span class="ibm-ind-link ibm-small js-help-button kc-help-button">
											</span>
											<span class="ibm-button-link ibm-padding-bottom-0 kc-start-tour ibm-hide">
												<a class="kc-content-tour-button ibm-btn-sec ibm-btn-white js-start-tour ibm-margin-bottom-0" tabindex="0"	role="button">Take a tour</a>
											</span>
										</div>
									</div>									
								</div>
							</header>
							<main aria-label="Knowledge Center Content">
								<div class="ibm-fluid ibm-nospacing ibm-fullwidth">
									<div class="js-pinned-toc-placeholder ibm-col-12-3 kc-hide"></div>
									<!-- TOC COLUMN-->
									<div class="js-left-column kc-left-column ibm-nospacing kc-hide ibm-col-12-3">
										<div class="js-toc-hover kc-toc-hover ibm-hidden-small">
											<p class=" ibm-chevron-right-light-link"></p>
										</div>
										<!-- TOC -->
										<div class="js-toc-wrapper kc-toc-wrapper ibm-background-white-core ibm-border-neutral-white-40"></div>
										<!-- END TOC -->
									</div>
									<!-- END OF TOC COLUMN --><!-- MAIN CONTENT COLUMN-->
									<div class="js-main-column kc-main-column ibm-col-12-9 ibm-nospacing">
										<div class="js-arm-alert-overlay"></div>
										<!-- NOTIFICATION BAR -->
										<div class="kc-eos-new-version-msg ibm-fullwidth ibm-ind-link ibm-vertical-center"></div>
										<div class="js-notification-bar kc-notification-bar ibm-center-block ibm-padding-top-1 ibm-col-12-10"></div>
										<div class="js-newtab-button ibm-col-12-6 ibm-left-block ibm-ind-link ibm-padding-bottom-1"></div>
										<div class="js-git-button ibm-col-12-6 ibm-right-block"></div>
										<!-- END OF NOTIFICATION BAR --><!-- CONTENT IFRAME -->
										<div class="content js-content ibm-padding-content" data-role="content"></div>
										<!-- END OF CONTENT IFRAME --><!-- FEEDBACK --> 
										<div class="js-feedback"><div class="kc-feedback-button-for-hopscotch"></div></div>
										<!-- END OF FEEDBACK --><!-- DISQUS -->										
										<div class="ibm-padding-content kc-discussion-for-hopscotch">
											<div class="kc-discussion ibm-hide">
												<div>
													<p class="ibm-textcolor-gray-40 ibm-small kc-discussion-paragraph">
													Please note that DISQUS operates this forum. When you sign in to comment, IBM will provide your email, first name and last name to DISQUS. That information, along with your comments, will be governed by 
														<a class="ibm-intercept-exit-survey" href="https://help.disqus.com/customer/en/portal/articles/466259-privacy-policy" target="_blank">DISQUS’ privacy policy</a>. By commenting, you are accepting the 														 
														<a class="nh-link-color-restore ibm-intercept-exit-survey" href="https://help.disqus.com/customer/portal/articles/466260-terms-of-service" target="_blank">DISQUS terms of service</a>.
													</p>
													<p><button class="ibm-btn-pri ibm-btn-blue-50 ibm-hide js-disqus-login" aria-label="Sign In">Sign In</button></p>
												</div>
												<div id="disqus_thread"></div>
											</div>
										</div>
										<!-- END OF DISQUS -->
										<div class="js-do-you-want ibm-padding-content"></div>
									</div>									
								</div>
								<!-- END OF MAIN CONTENT COLUMN -->
							</main>
						</div>
						<!-- END OF CONTENT -->
					</div>
				</div>
					<div class="js-advsrch-overlay"></div>
					<div class="js-divest-overlay"></div>
			</div>
		</div>
		<!--END MAIN--><!--FOOTER-->
<script>
setTimeout(function() {
	document.getElementById('contactlink').setAttribute('href', IBMCore.common.translations.data.v18main.footerThin[0].url);
	document.getElementById('privacylink').setAttribute('href', IBMCore.common.translations.data.v18main.footerThin[1].url);
	document.getElementById('termslink').setAttribute('href', IBMCore.common.translations.data.v18main.footerThin[2].url);
	document.getElementById('accessibilitylink').setAttribute('href', IBMCore.common.translations.data.v18main.footerThin[3].url);
}, 500);
</script>
<div class="js-footer-container kc-footer">
  <footer role="contentinfo" aria-label="footer" class="js-footer">
    <div class="kc-footer-content">
      <div class="ibm-columns">
        <div class="ibm-col-1-1">
          <div class="ibm-footer-corporate-links ibm-col-6-4">
            <ul class="ibm-plain-list">
              <li><a id="contactlink" href="https://www.ibm.com/contact/us/en/" target="_self">Contact</a></li>
              <li><a id="privacylink" href="https://www.ibm.com/privacy/us/en/" target="_self">Privacy</a></li>
              <li><a id="termslink" href="https://www.ibm.com/legal/us/en/" target="_self">Terms of use</a></li>
              <li><a id="accessibilitylink" href="https://www.ibm.com/accessibility/us/en/" target="_self">Accessibility</a></li>
              <li><a id="feedbacklink" data-ibm-contact="contact-link" href="javascript:void();" target="_self">Feedback</a></li>
            </ul>
          </div>
          <div class="js-language-selector kc-language-selector ibm-col-6-2">
            <div class="kc-footer-locale-selector">
              <form action="https://www.ibm.com/links" method="get" data-widget="selectlistnav">
                <p>
                  <select id="languageselect" name="url" class="ibm-fullwidth js-select2" aria-label="Select a server" role="listbox" >
                      <option data-locale-value="ar" value="ar/">
                      Arabic / عربية
                      </option>
                      <option data-locale-value="bs" value="bs/">
                      Bosnian / Bosanski 
                      </option>
                      <option data-locale-value="bg" value="bg/">
                      Bulgarian / Български
                      </option>
                      <option data-locale-value="ca" value="ca/">
                      Catalan / Català
                      </option>
                      <option data-locale-value="zh" value="zh/">
                      Chinese Simplified / 简体中文
                      </option>
                      <option data-locale-value="zh-tw" value="zh-tw/">
                      Chinese Traditional / 繁體中文
                      </option>
                      <option data-locale-value="hr" value="hr/">
                      Croatian / Hrvatski
                      </option>
                      <option data-locale-value="cs" value="cs/">
                      Czech / Čeština
                      </option>
                      <option data-locale-value="da" value="da/">
                      Danish / Dansk
                      </option>
                      <option data-locale-value="nl" value="nl/">
                      Dutch / Nederlands
                      </option>
                      <option data-locale-value="en" value="en/" selected="selected">
                      English / English
                      </option>
                      <option data-locale-value="fi" value="fi/">
                      Finnish / Suomi
                      </option>
                      <option data-locale-value="fr" value="fr/">
                      French / Français
                      </option>
                      <option data-locale-value="de" value="de/">
                      German / Deutsch
                      </option>
                      <option data-locale-value="el" value="el/">
                      Greek / Ελληνικά
                      </option>
                      <option data-locale-value="he" value="he/">
                      Hebrew / עברית
                      </option>
                      <option data-locale-value="hu" value="hu/">
                      Hungarian / Magyar
                      </option>
                      <option data-locale-value="it" value="it/">
                      Italian / Italiano
                      </option>
                      <option data-locale-value="ja" value="ja/">
                      Japanese / 日本語
                      </option>
                      <option data-locale-value="kk" value="kk/">
                      Kazakh / Қазақша
                      </option>
                      <option data-locale-value="ko" value="ko/">
                      Korean / 한국어
                      </option>
                      <option data-locale-value="mk" value="mk/">
                      Macedonian / македонски
                      </option>
                      <option data-locale-value="no" value="no/">
                      Norwegian / Norsk
                      </option>
                      <option data-locale-value="pl" value="pl/">
                      Polish / polski
                      </option>
                      <option data-locale-value="pt-br" value="pt-br/">
                      Portuguese/Brazil/Brazil / Português/Brasil
                      </option>
                      <option data-locale-value="pt" value="pt/">
                      Portuguese/Portugal / Português/Portugal
                      </option>
                      <option data-locale-value="ro" value="ro/">
                      Romanian / Română
                      </option>
                      <option data-locale-value="ru" value="ru/">
                      Russian / Русский
                      </option>
                      <option data-locale-value="sr" value="sr/">
                      Serbian / srpski
                      </option>
                      <option data-locale-value="sk" value="sk/">
                      Slovak / Slovenčina
                      </option>
                      <option data-locale-value="sl" value="sl/">
                      Slovenian / Slovenščina
                      </option>
                      <option data-locale-value="es" value="es/">
                      Spanish / Español
                      </option>
                      <option data-locale-value="sv" value="sv/">
                      Swedish / Svenska
                      </option>
                      <option data-locale-value="th" value="th/">
                      Thai / ภาษาไทย
                      </option>
                      <option data-locale-value="tr" value="tr/">
                      Turkish / Türkçe
                      </option>
                      <option data-locale-value="vi" value="vi/">
                      Vietnamese / Tiếng Việt
                      </option>
                    </select>
                  
                </p>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</div>

<!--END FOOTER--><!-- Medallia feedback link --><!-- Medallia is disabled globally for content page -->
<!-- END Medallia feedback link -->
<div id="ibm-contact-module" role="region" aria-label="Contact module" class="ibm-hide">
	<h2 class="ibm-h2 ibm-bold">Feedback</h2>
	<h3 class="ibm-h3 ibm-regular">Provide feedback to IBM</h3>
	<h4 class="ibm-h4 ibm-regular">Help us improve</h4>
	<ul class="ibm-live-assistance-list">
		<li><a class="js-kc-email-link ibm-light ibm-email-link ibm-padding-bottom-1" href="mailto:ibmkc@us.ibm.com?Subject=Feedback to IBM Knowledge Center">Email IBM Knowledge Center support</a></li>
	</ul>
	<div class="ibm-footer-corporate-links">
		<ul class="ibm-live-assistance-list">
			<li class="ibm-feedbacklink ibm-hide"><a class="ibm-light ibm-forward-link" href="javascript:void(0)">Tell IBM what you think</a></li>
			<li class="js-feedbacklink"><a id="feedbackLink" class="ibm-light ibm-forward-link" href="javascript:void(0)">Tell IBM what you think</a></li>
			<script>
				document.querySelector('.js-feedbacklink a').addEventListener('click', function(){
					document.querySelector('.ibm-feedbacklink').click();
					IBMCore.common.module.contactmodule.showContactModule(false);
				});
			</script>
		</ul>
	</div>
	<h4 class="ibm-h4 ibm-regular">General IBM Support</h4>
	<ul class="ibm-live-assistance-list">
		<li class="kc-noborder"><a class="ibm-light ibm-phone-link" href="javascript:void(0)"><span >1-800-IBM-7378</span> (USA)</a></li>
		<li class="kc-noborder"><a class="ibm-light ibm-external-link" href="http://www.ibm.com/planetwide/" target="_blank">Directory of Worldwide Contacts</a></li>
		<li><a class="ibm-light ibm-email-link" href="http://www.ibm.com/scripts/contact/contact/us/en" target="_blank">Email feedback to IBM Support</a></li>
	</ul>
</div>

<script>setTimeout(function() {IBMCore.common.module.contactmodule.init();}, 0);</script>
	</div>
	<div class="js-dialog dialog"></div>
	<!--“The Program includes some or all of the following that IBM obtained under the Apache License Version 2.0: Hopscotch”-->
	<script src="/support/knowledgecenter/js/content.build.js?v=20200310_0553"></script>
<script type="text/javascript" >var _cf = _cf || []; _cf.push(['_setFsp', true]);  _cf.push(['_setBm', true]); _cf.push(['_setAu', '/assets/f5400d67206b4d21439d18653f6d']); </script><script type="text/javascript"  src="/assets/f5400d67206b4d21439d18653f6d"></script></body>
</html>